### Virtual Method

# Adw Swipeable get_snap_points

#### Declaration [src]

    double*
    get_snap_points (
      AdwSwipeable* self,
      int* n_snap_points
    )

#### Description [src]

Gets the snap points of `self`.

Each snap point represents a progress value that is considered acceptable to end the swipe on.

#### Parameters

`n_snap_points`

  Type: `int*`

  Location to return the number of the snap points.

  The argument will be set by the function.

#### Return value

Type: An array of `double`

The snap points.

The length of the array is in the `n_snap_points` argument.
The caller of the function takes ownership of the data, and is responsible for freeing it.